Name: skype-compat
Summary: Skype compatibility package
Version: 1.0.1
Release: 4%{?dist}
Source0: skype_wrapper.sh
Source1: skype_wrapper.desktop
URL: http://www.fedora.md
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
BuildArch: noarch
Requires: skype >= 2.1.0.81, selinux-policy >= 3.5.13-18, policycoreutils
Requires: freetype(x86-32)
#Requires: /usr/lib/libfreetype.so.6
Requires: qt-x11(x86-32)
#Requires: /usr/lib/libQtGui.so.4
Requires: libXScrnSaver(x86-32)
#Requires: /usr/lib/libXss.so.1
Requires: libv4l(x86-32)
#Requires: /usr/lib/libv4l/v4l1compat.so
Requires: pulseaudio-libs(x86-32)
#Requires: /usr/lib/libpulse.so.0
Requires: libXv(x86-32)
#Requires: /usr/lib/libXv.so.1

%description
Addon package for Skype VoIP software, that provides fixed launcher.
It's required to run Skype with video support in Fedora 10 and above

%prep

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -D -p -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/skype_wrapper.sh
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/skype_wrapper.desktop

%post
setsebool -P allow_execstack=1


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/skype_wrapper.sh
%{_datadir}/applications/skype_wrapper.desktop

%changelog
* Sun Jan 01 2012 Chelban Vasile <vchelban@fedoramd.org> 1.0.1-4
- require packages, not files. Fixes for FC16

* Sun Sep 25 2011 Chelban Vasile <vchelban@fedoramd.org> 1.0.1-3
- Fixed path to libXv.so.1

* Sun May 15 2011 Chelban Vasile <vchelban@fedoramd.org> 1.0.1-2
- new version for Skype 2.2 beta

* Sat Mar 20 2010 Chelban Vasile <vchelban@fedoramd.org> 1.0.1-1
- new version for Skype 2.1 beta

* Fri Nov 14 2008 Chelban Vasile <vchelban@fedoramd.org> 1.0.0-1
- Initial release

